Bug 261339 - net-p2p/prowlarr: Disable built-in updater
Summary: net-p2p/prowlarr: Disable built-in updater
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-19 16:36 UTC by Michiel van Baak Jansen
Modified: 2022-01-25 09:30 UTC (History)
1 user (show)

See Also:


Attachments
0001-net-p2p-prowlarr-Disable-built-in-updater-and-tell-u.patch (78.67 KB, patch)
2022-01-19 16:36 UTC, Michiel van Baak Jansen
michiel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michiel van Baak Jansen 2022-01-19 16:36:55 UTC
Created attachment 231165 [details]
0001-net-p2p-prowlarr-Disable-built-in-updater-and-tell-u.patch

Use package_info file to disable the built-in updater for prowlarr.
Document it is disabled in pkg-message.

testport ok
runtest ok
Comment 1 commit-hook freebsd_committer 2022-01-25 09:28:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=52862c2d0137bda875f842ba4ec25fd0c1519fa0

commit 52862c2d0137bda875f842ba4ec25fd0c1519fa0
Author:     Michiel van Baak <michiel@vanbaak.eu>
AuthorDate: 2022-01-24 16:32:53 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2022-01-25 09:25:06 +0000

    net-p2p/prowlarr: Disable built-in updater

    PR:     261339
    Reported by:    michiel@vanbaak.eu (maintainer)

 net-p2p/prowlarr/Makefile                    |   14 +-
 net-p2p/prowlarr/files/package_info.in (new) |    5 +
 net-p2p/prowlarr/files/pkg-message.in        |   11 +-
 net-p2p/prowlarr/files/prowlarr.in           |    7 +-
 net-p2p/prowlarr/pkg-plist                   | 1447 +++++++++++++-------------
 5 files changed, 748 insertions(+), 736 deletions(-)
Comment 2 Fernando Apesteguía freebsd_committer 2022-01-25 09:30:30 UTC
Committed,

Thanks!